Subject: bug#12507: [debbugs-tracker] Processed: severity 12507 wishlist

From: Drew Adams <[email-masked]>
Date: Wed, 23 Sep 2020 11:14:16 -0700 (PDT)

Hi Karl,

At this point I don't have anything special to say
about your general proposal regarding backups.  My
comments regard the bookmarks code.

1. I don't see why this proposal is in bug #12507.
   It seems like a general proposal, which should
   probably go to emacs-devel.

2. I don't see why the bookmark code shouldn't visit
   the file.  That hasn't been explained.  You cite
   a commit for save-place, not for bookmark.el.
   And even for that commit there's no explanation
   of _why_ the particular file shouldn't be visited.

I switched to using `write-file' for bookmark files
long ago, and I haven't seen any problem.  When using
a bookmark file, you're anyway visiting it, in some
sense.  I see no inconvenience in having the bookmark
file be added to a list of visited files.  You might
not be reading or editing it directly (as text), but
you're definitely reading it or editing it indirectly.

Until we hear a reason for why `write-region' should
be used for bookmark files, using it seems like a
solution (for save-place?) looking for a problem.

What's wrong with the obvious, simple solution to the
real, recognized problem of no backups for bookmark
files: use `write-file'?  That's the first question
to ask and answer, no?